package com.chelvc.cloud.admin.controller;

import com.chelvc.cloud.uc.api.dto.LoginDTO;
import com.chelvc.cloud.uc.api.param.LoginPagingParam;
import com.chelvc.cloud.uc.api.service.LoginService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import com.chelvc.framework.common.model.Pagination;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 用户登陆记录接口
 *
 * @author liude
 * @date 2024/4/30
 */
@Validated
@RestController
@ResponseWrapping
public class LoginController {
    @DubboReference
    private LoginService loginService;
    /**
     * 查询用户分页
     *
     * @param param 查询参数
     * @return 用户分页信息
     */
    @GetMapping("/login/paging")
    public Pagination<LoginDTO> getLoginPaging(@Valid LoginPagingParam param) {
        return this.loginService.getLoginPaging(param);
    }
}
